main{
    display: flex;
    align-items: center;
    flex-direction: column;
    width: 100%;
    margin-top: 100px;
}

.main-heading{
    font-family: "Monoton", Sans-Serif;
    text-transform: uppercase;
    font-size: 4em;
    color: var(--white);
    font-weight: 400;
    text-align: center;
}

.main-info{
    color: var(--white);
    margin-bottom: 50px;
    text-align: center;
    position: relative;
}


.shop-container{
    width: 80%;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
}

/* FILTER AND SORTBY BUTTONS */
.filter-sortby{
    display: flex;
    gap: 20px;
    flex-wrap: wrap; 
}

.filter-btn{
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 10px 20px;
    background: var(--white);
    border: none;
    border-radius: 50px;
    gap: 10px;
    cursor: pointer;
    transition: 0.3s ease-in-out;
}

.filter-btn img{
    width: 25px;
}

.filter-white{
    display: none;
}

.filter-btn:hover{
    background: var(--secondary-red);
    color: var(--white);
}

.filter-btn:hover .filter-white{
    display: flex;
}

.filter-btn:hover .filter-red{
    display: none;
}

.sortby-dropdown{
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 15px 20px;
    background: var(--white);
    border: none;
    border-radius: 50px;
    cursor: pointer;
}


/* SHOP ITEM */
.vinyl-shop-items{
    margin: 50px 0;
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
    gap: 30px;
}

.vinyl-shop-item{
    background-color: var(--white);
    color: var(--secondary-red);
    border-radius: 10px;
    overflow: hidden;
    padding-bottom: 20px;
    box-shadow: var(--shadow-m);
}

.vinyl-shop-img{
    width: 100%;
    position: relative;
}

.album-new{
    border-bottom: 5px solid var(--secondary-red);
    width: 100%;
    min-height: 275px;
}

.album-used{
    border-bottom: 5px solid #51C28D;
    width: 100%;
    min-height: 275px;
}

.tag{
    text-decoration: none;
    padding: 8px 15px 8px 0;
    position: absolute;
    top: 0;
    left: 50px;
    z-index: 4;
    text-align: right;
    width: 70px;
    border-radius: 0 50px 50px 0;
    font-size: 0.9em;
}

.tag-new{
    color: var(--white);
    background-color: var(--primary-red);
}

.tag-used{
    color: var(--black);
    background-color: #57C792;
}

.divider{
    position: absolute;
    bottom: -20px;
    left: 10px;
    width: 50px;
    z-index: 5;
}

.vinyl-shop-info{
    margin-top: 30px;
    text-align: left;
    padding: 0 10px;
}

.album-title{
    font-weight: 600;
    text-decoration: none;
    color: var(--secondary-red);
}

.album-artist{
    font-size: 0.9em;
}

.album-price{
    margin-top: 30px;
    font-weight: 600;
}

.album-type{
    font-size: 0.9em;
    margin-bottom: 20px;
}

.view-item{
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px 20px;
    background: var(--primary-red);
    border: none;
    border-radius: 50px;
    color: var(--white);
    font-size: 0.9em;
    transition: 0.3s ease-in-out;
    cursor: pointer;
    border: 2px solid var(--primary-red);
}

.view-item img{
    width: 20px;
}

.arrow-red{
    display: none;
}

.view-item:hover{
    background: var(--white);
    color: var(--secondary-red);
    border: 2px solid var(--primary-red);
}

.view-item:hover .arrow-white{
    display: none;
}

.view-item:hover .arrow-red{
    display: flex;
}